org.apache.cassandra.cql3

## Interface CQL3Type

- All Known Implementing Classes:
    CQL3Type.Collection, CQL3Type.Custom, CQL3Type.Native, CQL3Type.Tuple, CQL3Type.UserDefined

      public interface CQL3Type

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `CQL3Type.Collection`
    `static class` | `CQL3Type.Custom`
    `static class` | `CQL3Type.Native`
    `static class` | `CQL3Type.Raw`
    `static class` | `CQL3Type.Tuple`
    `static class` | `CQL3Type.UserDefined`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.slf4j.Logger` | `logger`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractType<?>` | `getType()`
    `default boolean` | `isCollection()`
    `default boolean` | `isUDT()`
    `java.lang.String` | `toCQLLiteral(java.nio.ByteBuffer buffer, ProtocolVersion version)` Generates CQL literal from a binary value of this type.

- - ### Field Detail

    - #### logger

          static final org.slf4j.Logger logger

  - ### Method Detail

    - #### isCollection

          default boolean isCollection()

    - #### isUDT

          default boolean isUDT()

    - #### getType

          AbstractType<?> getType()

    - #### toCQLLiteral

          java.lang.String toCQLLiteral(java.nio.ByteBuffer buffer,
                                        ProtocolVersion version)

      Generates CQL literal from a binary value of this type.
      Parameters:
        `buffer` - the value to convert to a CQL literal. This value must be serialized with `version` of the native protocol.
        `version` - the native protocol version in which `buffer` is encoded.

Copyright © 2018 The Apache Software Foundation